Bug 734781 - [PATCH] util.selinuxEnabled() does not work on F16 and Rawhide
Summary: [PATCH] util.selinuxEnabled() does not work on F16 and Rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 12:37 UTC by Jan Vcelak
Modified: 2013-03-04 01:29 UTC (History)
3 users (show)

Fixed In Version: mock-1.1.17-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-24 22:59:20 UTC


Attachments (Terms of Use)
proposed patch (against git master) (1.40 KB, patch)
2011-08-31 12:37 UTC, Jan Vcelak
no flags Details | Diff

Description Jan Vcelak 2011-08-31 12:37:52 UTC
Created attachment 520810 [details]
proposed patch (against git master)

Description of problem:

Since Fedora 16, SELinux filesystem is no longer mounted in /selinux
but in /sys/fs/selinux. On affected systems, util.selinuxEnabled()
always returns False. From this reason, SELinux plugin is not loaded.

Attaching patch, which adds autodetection of SELinux filesystem mountpoint.

Version-Release number of selected component (if applicable):

mock-1.1.12-1.fc16.noarch

How reproducible:

$ sestatus 
SELinux status:                 enabled
SELinuxfs mount:                /sys/fs/selinux
Current mode:                   enforcing
Mode from config file:          permissive
Policy version:                 26
Policy from config file:        targeted

$ mock -r fedora-rawhide-x86_64 shell
INFO: mock.py version 1.1.12 starting...
State Changed: init plugins
INFO: selinux disabled
State Changed: start
State Changed: lock buildroot
mock-chroot>

Comment 1 Clark Williams 2011-10-12 19:10:34 UTC
Applied and queued for mock-1.1.16.

Comment 2 Fedora Update System 2011-10-14 16:28:25 UTC
mock-1.1.16-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.16-1.fc15

Comment 3 Fedora Update System 2011-10-14 16:29:29 UTC
mock-1.0.23-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.23-1.el5

Comment 4 Fedora Update System 2011-10-14 16:30:32 UTC
mock-1.1.16-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.16-1.fc14

Comment 5 Fedora Update System 2011-10-14 16:31:35 UTC
mock-1.1.16-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.16-1.el6

Comment 6 Fedora Update System 2011-10-15 20:24:53 UTC
Package mock-1.1.16-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mock-1.1.16-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14382
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-10-24 22:59:20 UTC
mock-1.1.16-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-10-24 23:04:46 UTC
mock-1.1.16-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-11-01 15:40:21 UTC
mock-1.1.17-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.17-1.fc15

Comment 10 Fedora Update System 2011-11-01 15:41:40 UTC
mock-1.1.17-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mock-1.1.17-1.fc16

Comment 11 Fedora Update System 2011-11-01 15:42:55 UTC
mock-1.1.17-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.17-1.fc14

Comment 12 Fedora Update System 2011-11-01 15:44:17 UTC
mock-1.0.24-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.24-1.el5

Comment 13 Fedora Update System 2011-11-01 15:45:40 UTC
mock-1.1.17-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.17-1.el6

Comment 14 Fedora Update System 2011-11-11 01:22:39 UTC
mock-1.1.17-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-11-26 19:23:45 UTC
mock-1.1.17-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-11-26 19:25:02 UTC
mock-1.0.24-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-11-26 23:02:19 UTC
mock-1.1.17-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2011-11-26 23:06:33 UTC
mock-1.1.17-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.